# platformio lib register

Contents

- platformio lib register

  - Usage

  - Description

  - Examples

## Usage

    platformio lib register [MANIFEST_URL]
    pio lib register [MANIFEST_URL]

## Description

Register new library in PlatformIO Library Registry.

PlatformIO Library Registry supports the next library manifests:

- PlatformIO library.json

- Arduino library.properties

- ARM mbed yotta module.json.

## Examples

    platformio lib register https://raw.githubusercontent.com/bblanchon/ArduinoJson/master/library.json
    platformio lib register https://raw.githubusercontent.com/adafruit/DHT-sensor-library/master/library.properties
    platformio lib register https://raw.githubusercontent.com/ARMmbed/ble/master/module.json